Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024691Runner[All Projects] MacPublic2016-11-18 22:182017-03-02 15:33
ReporterMark Alexander 
Assigned ToPeter Hall 
PriorityMediumSeverityC - GeneralReproducibility100%
StatusClosedResolutionFixed 
PlatformOSOS Version
Summary0024691: Mac: display_get_width/height return window size, not display size
DescriptionIf you use the functions display_get_width or display_get_height on the macOS target, it returns the size of the game window and not the actual display.

Tested on macOS Sierra using GMS2 2.0.1.33 and on GM:S 7.7.1354

(this is really annoying as I'm prepping my game for launch on Steam for Mac and PC, and I rely on this for scaling the game correctly to fit the display aspect ratio)
Steps To ReproduceRun the supplied project on macOS.
Messages should all show the same set of values.
1.4 Version
Runtime Version2.0.1.16
Runtime Version Verified In
Attached Files

- Relationships

-  Notes
(0050392)
Peter Hall (Developer)
2016-11-23 11:53

Should now return the display resolution.

Have tried to keep the change to a minimally invasive change...
(0051900)
Ross Manthorp (Administrator)
2017-03-02 15:33

Verified. Closed.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker